<div class="main-wrapper settings-page">
  <h1 class="settings-page__title">{{ 'settings_page.title' | translate }}</h1>
  <img *ngIf="user?.imageUrl"
       [src]="user!.imageUrl"
        class="settings-page__image">
  <form class="settings-form" [formGroup]="form" (ngSubmit)="updateSettings()">
    <mat-form-field>
      <mat-label>{{ 'settings_page.email' | translate }}</mat-label>
      <input matInput formControlName="email" type="email">
    </mat-form-field>

    <mat-form-field>
      <mat-label>{{ 'settings_page.password' | translate }}</mat-label>
      <input matInput formControlName="password" type="password">
    </mat-form-field>

    <button mat-raised-button color="accent"
            class="settings-form__submit-button"
            [disabled]="form.invalid">
      {{ 'settings_page.submit' | translate }}
    </button>
  </form>
</div>
